Perché non posso eseguire l'applicazione WWDC?

Oggi quando ho tentato di utilizzare l'applicazione WWDC (versione 5.0.1) sul mio iPad, ho ricevuto un messaggio che dice che questa versione non è più supportta e devo get un aggiornamento da App Store. Ma quando vado all'App Store, non offre alcun aggiornamento per l'applicazione WWDC. Che cosa dà? Forse è un ritardo temporaneo nella pubblicazione di una nuova versione, o forse c'è una nuova versione che non funziona sul mio iPad di terza generazione (iOS 9.3.5)?

Non posso parlare per Apple, ma questa è probabilmente una decisione intenzionale di allontanarsi dal lato server / chiamate api per la versione precedente dell'applicazione WWDC.

Uno dei principali messaggi di iOS 11 è che tutte le piattaforms e le applicazioni a 32 bit sono fatte per gli sviluppatori, e Apple fa un duro arresto di funzionalità (la programmazione in un messaggio che ti dice che la tua applicazione è troppo vecchia). La programmazione in un interruttore di kill potrebbe essere visto come rafforzare tale esperienza per gli sviluppatori.

La buona notizia temporanea nonostante questo movimento, è ancora ansible vedere i contenuti WWDC 2017 su iOS 9 in Safari. La notizia su requisiti a 64 bit solo è stata trattata nello stadio della piattaforma Stato dell'Unione (2017 session 102) credo.

Non ti viene mostrato l'aggiornamento all'applicazione WWDC in quanto richiede iOS 10.3 ma hai indicato che stai utilizzando iOS 9. Appena aggiornare iOS e l'applicazione.